EDIT - feature request #7954

protected vs. unproteced caches in TaxEditor
12/17/2018 11:07 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal

Description

Problem: erst nach diversen Diskussionen mit Leuten aus dem EDIT-Team (und rumprobieren) habe ich verstanden, wie
protected/unprotected bei den Caches im Referenz-Bereich zu verstehen sind.

Eine mouse-over Information kdnnte Abhilfe schaffen.
Der Text misste abgestimmt werden, als Aufschlag zur Diskussion:

"locked: cache uses/updates atomized data only, cache protected against manual entries”
"unlocked: cache can be edited manually” evil. ergénzt durch "(not recommended)”

Associated revisions

Revision c42c4e41 - 12/20/2018 09:33 AM - Katja Luther

fix #7954: add tootltip to cache fields in editor to clearify the meaning of the lock

Revision 99e47ce1 - 12/20/2018 09:38 AM - Katja Luther
fix #7954: update the english text for cache field tooltip

History

#1-12/17/2018 11:10 AM - Wolf-Henning Kusber
picture191-1.png

Hintergrund des Tickets ist, dass ich als User nicht auf unprotected/protected geachtet habe, wodurch teilweise die Inhalte der Caches
auseinanderlaufen.

#2 - 12/19/2018 05:39 PM - Andreas Kohlbecker
Ich finde Hennings Vorschlag prima, denn wirklich intuitiv verstédlich sind diese SchloB-Icons auch fiir mich nie gewesen.
Text Vorschlage fur die Mouseovers:

e |ocked: "Cache is created automatically from atomized data, cache protected against manual entries"
e unlocked: "Cache unlocked for manual editing (not recommended)"

#3 - 12/20/2018 09:34 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|c42c4e417e482b08177318¢c7d155f58¢314c8206.

#4 - 12/20/2018 09:38 AM - Katja Luther
- Assignee changed from Katja Luther to Wolf-Henning Kusber
- Target version changed from Unassigned CDM tickets to Release 5.5

- % Done changed from 50 to 80

There is a tooltip for the button now. Please have a look if this clearify the usage of the lock.
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/c42c4e417e482b08177318c7d155f58c314c8206

#5 - 12/20/2018 10:18 AM - Wolf-Henning Kusber
- Assignee changed from Wolf-Henning Kusber to Katja Luther

- % Done changed from 80 to 100

The tooltip text for the button explains the functionality exactly for users.
Even though, | saw the German translation this feature seems to be completed.
#6 - 12/20/2018 11:59 AM - Katja Luther

- Status changed from Resolved to Closed
